> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Insurance Agencies

> Get list of insurance agencies with their contribution rates



## OpenAPI

````yaml /api-reference/preview.json get /germany/insurance-agencies
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /germany/insurance-agencies:
    get:
      tags:
        - Germany
      summary: List Insurance Agencies
      description: Get list of insurance agencies with their contribution rates
      operationId: list_insurance_agencies_germany_insurance_agencies_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InsuranceAgenciesResponse'
      security:
        - BearerToken: []
components:
  schemas:
    InsuranceAgenciesResponse:
      properties:
        agencies:
          items:
            $ref: '#/components/schemas/InsuranceAgencyResponse'
          type: array
          title: Agencies
      additionalProperties: true
      type: object
      required:
        - agencies
      title: InsuranceAgenciesResponse
      description: Response wrapper for list of insurance agencies
    InsuranceAgencyResponse:
      properties:
        agency_id:
          type: string
          title: Agency Id
          description: Insurance agency identification code
        short_name:
          type: string
          title: Short Name
          description: Short name of the insurance agency
          examples:
            - TK
            - AOK
        contribution_rate:
          anyOf:
            - type: string
              pattern: >-
                ^(?!^[-+.]*$)[+-]?0*(?:\d{0,8}|(?=[\d.]{1,11}0*$)\d{0,8}\.\d{0,2}0*$)
            - type: 'null'
          title: Contribution Rate
          description: Additional health insurance contribution rate in percent
      additionalProperties: true
      type: object
      required:
        - agency_id
        - short_name
      title: InsuranceAgencyResponse
      description: Response schema for insurance agency endpoint
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````